【apicloud】ios升级WKWebView后JS报错Script error.at :0

apicloud项目IOS端升级WKWebView后,部分页面出现Script error.at :0报错。

且正式包环境下才会触发,问题定位及调试极其麻烦。


经过多次断点调试后,发现是由于引入的js插件中使用了$.get等ajax获取本地文件及接口导致的报错。


解决方式:


将所有ajax调取,替换为apicloud专用的方法。


  1. 调取接口及外部资源可使用:api.ajax

  2. 调取本地资源则使用:api.readFile

翻滚的胖子博客
请先登录后发表评论
  • 最新评论
  • 总共0条评论